## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate libspa

Name:           rust-%{crate}
Version:        0.5.0
Release:        %autorelease
Summary:        Rust bindings for libspa

# Upstream license specification: MIT
# https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/issues/37
License:        MIT
URL:            https://crates.io/crates/libspa
Source0:        %{crates_source}
Source1:        https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/raw/v%{version}/LICENSE

# * work around architecture-specific test failures:
#   https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/issues/35
Patch:          https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/merge_requests/122.patch#/libspa-use_platform_indep_c_char.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust bindings for libspa.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p2
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{arm} %{ix86}
%cargo_test -- -- --skip 'result::tests::async_seq_panic' --skip 'pointer'
%else
%cargo_test -- -- --skip 'result::tests::async_seq_panic'
%endif
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.5.0-3
- Also skip pointer test on 32-bit ARM

* Thu Apr 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.5.0-2
- Apply proposed upstream fix for tests

* Thu Mar 31 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.5.0-1
- Update to 0.5.0

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> 0.4.1-3
- Bump system-deps from 3 to 6, add missing LICENSE file

* Tue Feb 01 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.4.1-2
- Re-enable tests now that pipewire-sys and pipewire are built

* Mon Jan 31 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.4.1-1
- Initial Fedora package
